// locales

// locales available in a11y.css
const locales = [
	"en",
	"fr",
	"pt-br",
	"ru",
	"zh",
	"gr",
	"ar"
];

// all locale strings needed for the script
const localeStrings = {
	"en":{
		"_LOCALE":"English",
		"a11ycssBtnApply":"Show",
		"a11ycssBtnClear":"Clear",
		"a11ycssLanguageLabel":"Language",
		"a11ycssLevel_all": "Everything",
		"a11ycssLevel_advices-only": "Advice",
		"a11ycssLevel_obsolete": "Obsolete Stuff, Warnings, and Errors",
		"a11ycssLevel_obsolete-only":"Obsolete",
		"a11ycssLevel_warning": "Warnings and Errors",
		"a11ycssLevel_warning-only":"Warnings",
		"a11ycssLevel_error": "Only Errors",
		"a11ycssLevel_error-only":"Errors",
		"a11ycssMinimumNoticeLevel": "Minimum Notice Level",
		"a11ycssSeparateLevels":"Separate Levels",
		"altEmpty":"empty",
		"altMissing":"missing",
		"altOK":"OK",
		"localizeOn": "On",
		"localizeOff": "Off",
		"a11ycssBtnApply-label": "Show a11y.css",
		"btnAllycss":"Show a11y.css",
		"btnA11ycssBack":"Back",
		"btnCheckalts-label":"Show <code>img</code> alternatives",
		"btnTextspacing-label":"Increase text spacing",
		"btnOutline-label":"Outline focus",
		"btnShowLangAttribute-label":"Show languages used",
		"h1Allycss":"a11y.css",
		"h1Allycss2":"a11y.css: settings",
		"h1Others":"Other tools",
	},
	"fr":{
		"_LOCALE":"Français",
		"a11ycssBtnApply": "Afficher",
		"a11ycssBtnClear": "Masquer",
		"a11ycssLanguageLabel": "Langue",
		"a11ycssLevel_all": "Tout",
		"a11ycssLevel_advices-only": "Informations",
		"a11ycssLevel_obsolete": "Éléments obsolètes, Alertes et Erreurs",
		"a11ycssLevel_obsolete-only": "Éléments obsolètes",
		"a11ycssLevel_warning": "Alertes et Erreurs",
		"a11ycssLevel_warning-only": "Alertes",
		"a11ycssLevel_error": "Erreurs seulement",
		"a11ycssLevel_error-only": "Erreurs",
		"a11ycssMinimumNoticeLevel": "Niveau minimum",
		"a11ycssSeparateLevels":"Niveaux séparés",
		"altEmpty": "vide",
		"altMissing": "manquant",
		"altOK": "OK",
		"localizeOn": "Activé",
		"localizeOff": "Désactivé",
		"a11ycssBtnApply-label": "Afficher a11y.css",
		"btnAllycss": "Afficher a11y.css",
		"btnA11ycssBack":"Retour",
		"btnCheckalts-label": "Afficher les alternatives aux <code>img</code>",
		"btnTextspacing-label":"Augmenter les espacements du texte",
		"btnOutline-label": "Encadrer le focus",
		"btnShowLangAttribute-label":"Afficher les langues",
		"h1Allycss": "a11y.css",
		"h1Allycss2": "a11y.css : réglages",
		"h1Others": "Autres outils",
	},
	"gr":{
		"_LOCALE":"Ελληνικά",
		"a11ycssBtnApply":"Εμφάνιση",
		"a11ycssBtnClear":"Εκκαθάριση",
		"a11ycssLanguageLabel":"Γλώσσα",
		"a11ycssLevel_all": "Όλα",
		"a11ycssLevel_advices-only": "Συμβουλές",
		"a11ycssLevel_obsolete": "Παρωχημένα, Προειδοποιήσεις, και Σφάλματα",
		"a11ycssLevel_obsolete-only":"Παρωχημένα",
		"a11ycssLevel_warning": "Προειδοποιήσεις και Σφάλματα",
		"a11ycssLevel_warning-only":"Προειδοποιήσεις",
		"a11ycssLevel_error": "Μόνο Σφάλματα",
		"a11ycssLevel_error-only":"Σφάλματα",
		"a11ycssMinimumNoticeLevel": "Ελάχιστο Επίπεδο Αναφοράς",
		"a11ycssSeparateLevels":"Διαχωρισμός Επιπέδων",
		"altEmpty":"κενή",
		"altMissing":"λείπει",
		"altOK":"OK",
		"localizeOn": "Ενεργοποιημένη",
		"localizeOff": "Ανενεργή",
		"a11ycssBtnApply-label": "Εμφάνιση a11y.css",
		"btnAllycss":"Εμφάνιση a11y.css",
		"btnA11ycssBack":"Επιστροφή",
		"btnCheckalts-label":"Εμφάνιση εναλλακτικών <code>img</code>",
		"btnTextspacing-label":"Αύξηση απόστασης κειμένου",
		"btnOutline-label":"Έμφαση Περιγράμματος",
		"btnShowLangAttribute-label":"Εμφάνιση χρησιμοποιούμενων γλωσσών",
		"h1Allycss":"a11y.css",
		"h1Allycss2":"a11y.css: ρυθμίσεις",
		"h1Others":"Άλλα εργαλεία",
	}
};
